
$ (GrocRfg0.inc)
$ Called by DEERgroc.inp

$ ---------------------------- MISC PARAMETERS --------------------------------

PARAMETER

   FreezerT       -5  $ Freezer temperature
   FreezerDT       8  $ dT between supply and space
   CoolerT        35  $ Cooler temperature
   CoolerDT       10  $ dT between supply and space
   PrepRoomT      50  $ PrepRoom temperature
   PrepRoomDT     10  $ dT between supply and space

$ Output reports
   CompressorRep  YES  $ YES, NO
   RfgCircuitRep   NO
   RfgFixtureRep  YES
   SuctionGrpRep  YES
..

$ ---------------------------- EEM SETUP --------------------------------------

$ Show the details of the macro evaluation logic in the expansion
##showdetail    

$ File "for022" shows a clean BDL input file after evaluating all macros
##write        

$ This include file requires the following Macros be set prior to calling
$ this file.  
$
$ ##set1 Vintage        1  <1978
$                       2  1978-1992
$                       3  1993-2001
$                       4  2002-2005
$                       5  >2005 existing - HVAC cannot be downsized
$                       6  >2005 new - HVAC can be downsized

$ ##set1 DesignWB      70  The design wetbulb for the climate zone

$ ##set1 RunMode  RunBase  The base case run
$                  RunT24  The minimally-compliant T24 configuration
$                  RunEEM  The run incorporating the EEM

$ ##set1 Climate     CZ01  thru CZ16

$
$ -- 1994 DEER EEMs
$ ##set1 EEM1  NoEEM  No EEM; runs just the default base case
$              61  Extensive Refrigeration Equipment Maintenance
$	        69A  High Efficiency Evaporator Fan Motors (walk-ins)
$             69B  High Efficiency Display Case Motors             
$              75  Heat Recovery from Central Refrigeration System

$ -- 2004 SCE Express Efficiency EEMs
$              A1  Night covers for display cases - medium temp
$               D  Med temp glass doors (on open display cases) 
$               F  New med temp refrigeration display case with doors   
$               M  Auto-closers on main cooler doors
$               N  Auto-closers on main freezer doors
$               Q  Evaporator fan control on walk-in coolers
$              R2  Air-cooled condenser to evaporative condenser
$              S1  Energy efficient air-cooled condenser
$              S2  Energy efficient evap-cooled condenser
$              T1  Replace single-compressor systems with high eff multiplex
$                    with mechanical subcooling (air-cooled)
$              T2  Replace single-compressor systems with high eff multiplex
$                    with mechanical subcooling (evap-cooled)
$              U1  Replace single-compressor systems with high eff multiplex
$                    with mech subcooling and efficient air-cooled condenser
$              U2  Replace single-compressor systems with high eff multiplex
$                    with mech subcooling and efficient evap-cooled condenser

$ -- Savings By Design EEMs
$               1  Low temp mechanical subcooling
$               2  Low and medium temp mechanical subcooling
$               3  Floating suction pressure
$              4A  Floating head pressure, fixed setpoint - air cooled
$              4B  Floating head pressure, fixed setpoint - evap cooled
$              5A  Floating head pressure, variable setpoint - air cooled
$              5B  Floating head pressure, variable setpoint - evap cooled
$              6A  Floating head pressure, variable setpoint
$                    and variable speed - air cooled
$              6B  Floating head pressure, variable setpoint
$                    and variable speed - evap cooled
$              6C  Load reset head pressure and variable speed - evap cooled
$               7  Display case lighting control
$               8  Zero heat reach-in glass doors


$ Define the standard BASE CASE.  Depending on the EEM, the EEM will change
$ the base case as needed.  The base case may also be modified based on vintage

$ -- Base case, non-vintage or climate dependent
##set1 Refrigerant    R-507
##set1 RfgSysType     Multiplex   $ Multiplex, SnglComp
##set1 AutoCloserLT   No          $ No, Yes
##set1 AutoCloserMT   No          $ No, Yes
##set1 CondHeadCtrl   Fixed       $ Fixed, Ambient, DrybulbStaged, LoadReset
##set1 LightCtrl      AlwaysOn    $ AlwaysOn, TimeClock
##set1 NeedsMaint     No          $ No, Yes
##set1 NightCoverMT   No          $ No, Yes
##set1 RetroDoorsMT   No          $ No, Yes
##set1 HeatReclaim    No          $ No, Desuper, Holdback
##set1 SubcoolerMT    No          $ No, Yes
##set1 SuctionCtrl    Fixed       $ Fixed, Float
##set1 WalkInFanDuty  No          $ No, Yes
##set1 ZeroHeatDoors  No          $ No, Yes

$ -- Base case, vintage dependent

##if #[Vintage[] EQ 1]
  ##set1 AirCondSCT     90           $ Fixed air-cooled SCT setpt
  ##set1 CompType       Reed         $ Reed, T24
  ##set1 CondEff        Base         $ Base, T24, HiEff
  ##set1 DisplayFanEff  Standard     $ Standard, HiEff
  ##set1 EvapCondSCT    95           $ Fixed evap-cooled SCT setpt
  ##set1 NewFixtureMT   No           $ No, Yes
  ##set1 SubcoolerLT    No           $ No, 70F, 50F
  ##set1 WalkInFanEff   Standard     $ Standard, HiEff

##elseif #[Vintage[] EQ 2]
  ##set1 AirCondSCT     90           
  ##set1 CompType       Reed        
  ##set1 CondEff        Base     
  ##set1 DisplayFanEff  Standard    
  ##set1 EvapCondSCT    95           
  ##set1 NewFixtureMT   No          
  ##set1 SubcoolerLT    No   
  ##set1 WalkInFanEff   Standard    

##elseif #[Vintage[] EQ 3]
  ##set1 AirCondSCT     90           
  ##set1 CompType       T24        
  ##set1 CondEff        Base      
  ##set1 DisplayFanEff  Standard
  ##set1 EvapCondSCT    90           
  ##set1 NewFixtureMT   No
  ##set1 SubcoolerLT    70F   
  ##set1 WalkInFanEff   Standard

##elseif #[Vintage[] EQ 4]
  ##set1 AirCondSCT     85           
  ##set1 CompType       T24        
  ##set1 CondEff        Base      
  ##set1 DisplayFanEff  Standard
  ##set1 EvapCondSCT    85           
  ##set1 NewFixtureMT   No
  ##set1 SubcoolerLT    50F   
  ##set1 WalkInFanEff   Standard

##elseif #[Vintage[] EQ 5]
  ##set1 AirCondSCT     80           
  ##set1 CompType       T24        
  ##set1 CondEff        T24 
  ##set1 DisplayFanEff  HiEff
  ##set1 EvapCondSCT    80           
  ##set1 NewFixtureMT   Yes
  ##set1 SubcoolerLT    50F   
  ##set1 WalkInFanEff   HiEff

##elseif #[Vintage[] EQ 6]
  ##set1 AirCondSCT     80           
  ##set1 CompType       T24        
  ##set1 CondEff        T24 
  ##set1 DisplayFanEff  HiEff
  ##set1 EvapCondSCT    80           
  ##set1 NewFixtureMT   Yes
  ##set1 SubcoolerLT    50F   
  ##set1 WalkInFanEff   HiEff

##else
  ERROR - Invalid Age Category - Vintage[]
##endif


$ -- Base case, climate dependent

##if #[Climate[] EQS CZ15]
  ##set1 CondType       Evaporative  $ AirCooled, Evaporative 
  ##set1 CondFanCtrl    TWO-SPEED-FAN
##else
  ##set1 CondType       AirCooled   
  ##set1 CondFanCtrl    CYCLE-FAN    $ CYCLE-FAN, TWO-SPEED-FAN, VAR-SPEED-FAN
##endif


$ ---------------------------------------------------------------------------

$ This macro turns on a specific EEM (or package of EEMs), using one or more
$ of the parameters defined above.  This algorithm may be called multiple
$ times for multiple EEMs, as long as the EEMs are compatible with each other,
$ and the base-case generated by a particular EEM is compatible with the
$ needs of the others.

##def SetUpEEM[ EEMx ]
  ##if #[EEMx EQS NoEEM]   $ No EEM; run default base case

  ##elseif #[EEMx EQS 61]  $ Extensive Refrigeration Equipment Maintenance
    ##if #[RunMode[] EQS RunBase]
      ##if #[Vintage[] LT 5]
        ##set1 NeedsMaint  Yes
      ##endif
    ##endif
  ##elseif #[EEMx EQS 69A]  $ High Efficiency Evaporator Fan Motors
    ##if #[RunMode[] EQS RunEEM]
      ##set1 WalkInFanEff  HiEff
    ##endif
  ##elseif #[EEMx EQS 69B]  $ High Efficiency Display Case Motors
    ##if #[RunMode[] EQS RunEEM]
      ##set1 DisplayFanEff  HiEff
    ##endif

  ##elseif #[EEMx EQS 75]  $ Heat Recovery from Central Refrigeration System
    ##if #[RunMode[] EQS RunEEM]
      ##SET1 HeatReclaim  Holdback
    ##endif

  ##elseif #[EEMx EQS A1]  $ Night covers for display cases - medium temp
    ##if #[RunMode[] EQS RunEEM]
      ##set1 NightCoverMT  Yes
    ##endif

  ##elseif #[EEMx EQS D]   $ Med temp glass doors (on open display cases)
    ##if #[Vintage[] LT 5]
      ##if #[RunMode[] EQS RunEEM]
        ##set1 RetroDoorsMT  Yes
      ##endif
    ##endif

  ##elseif #[EEMx EQS F]   $ New med temp refrigeration display case with doors
    ##if #[Vintage[] LT 5]
      ##if #[RunMode[] EQS RunEEM]
        ##set1 NewFixtureMT  Yes
      ##endif
    ##endif

  ##elseif #[EEMx EQS M]   $ Auto-closers on main cooler doors
    ##if #[RunMode[] EQS RunEEM]
      ##set1 AutoCloserMT  Yes
    ##endif

  ##elseif #[EEMx EQS N]   $ Auto-closers on main freezer doors
    ##if #[RunMode[] EQS RunEEM]
      ##set1 AutoCloserLT  Yes
    ##endif

  ##elseif #[EEMx EQS Q]   $ Evaporator fan control on walk-in coolers
    ##if #[RunMode[] EQS RunEEM]
      ##set1 WalkInFanDuty  Yes
    ##endif

  ##elseif #[EEMx EQS R2]  $ Air-cooled condenser to evaporative condenser
    ##if #[RunMode[] EQS RunBase]
      ##set1 CondType     AirCooled
    ##elseif #[RunMode[] EQS RunT24]
      ##set1 CondType     AirCooled
      ##set1 CondEff      T24
      ##set1 AirCondSCT   80
    ##elseif #[RunMode[] EQS RunEEM]
      ##set1 CondType     Evaporative
      ##set1 CondEff      T24
      ##set1 CondFanCtrl  TWO-SPEED-FAN
      ##set1 EvapCondSCT  80
    ##endif

  ##elseif #[EEMx EQS S1]  $ Energy efficient air-cooled condenser
    ##set1 CondType       AirCooled   
    ##if #[RunMode[] EQS RunT24]
      ##set1 CondEff      T24
      ##set1 AirCondSCT   80
    ##elseif #[RunMode[] EQS RunEEM]
      ##set1 CondEff      HiEff
      ##set1 AirCondSCT   80
    ##endif

  ##elseif #[EEMx EQS S2]  $ Energy efficient evap-cooled condenser
    ##set1 CondType     Evaporative
    ##set1 CondFanCtrl  TWO-SPEED-FAN
    ##if #[RunMode[] EQS RunT24]
      ##set1 CondEff      T24
      ##set1 EvapCondSCT  80
    ##elseif #[RunMode[] EQS RunEEM]
      ##set1 CondEff      HiEff
      ##set1 EvapCondSCT  80
    ##endif

  ##elseif #[EEMx EQS T1]  $ Replace single-compressor systems with high eff 
                           $ multiplex with mechanical subcooling
                           $ (both air-cooled)
    ##if #[RunMode[] EQS RunBase]
      ##set1 RfgSysType    SnglComp
      ##set1 CondType      AirCooled   
      ##set1 CondHeadCtrl  DrybulbStaged
    ##elseif #[RunMode[] EQS RunT24]
      ##set1 RfgSysType    Multiplex 
      ##set1 CompType      T24
      ##set1 CondType      AirCooled   
      ##set1 CondEff       T24
      ##set1 CondHeadCtrl  Fixed
      ##set1 AirCondSCT    80
      ##set1 SubcoolerLT   50F
    ##else if #[RunMode[] EQS RunEEM] 
      ##set1 RfgSysType    Multiplex 
      ##set1 CompType      T24
      ##set1 CondType      AirCooled   
      ##set1 CondEff       T24
      ##set1 AirCondSCT    70           
      ##set1 SubcoolerLT   50F
      ##set1 SubcoolerMT   Yes  
    ##endif

  ##elseif #[EEMx EQS T2]  $ Replace air-cooled single-compressor systems
                           $ with evap-cooled high eff multiplex with
                           $ mechanical subcooling
    ##if #[RunMode[] EQS RunBase]
      ##set1 RfgSysType    SnglComp
      ##set1 CondType      AirCooled   
      ##set1 CondHeadCtrl  DrybulbStaged
    ##elseif #[RunMode[] EQS RunT24]
      ##set1 RfgSysType    Multiplex 
      ##set1 CompType      T24
      ##set1 CondType      AirCooled   
      ##set1 CondEff       T24
      ##set1 CondHeadCtrl  Fixed
      ##set1 AirCondSCT    80
      ##set1 SubcoolerLT   50F
    ##elseif #[RunMode[] EQS RunEEM]
      ##set1 RfgSysType    Multiplex 
      ##set1 CompType      T24
      ##set1 CondType      Evaporative
      ##set1 CondEff       T24
      ##set1 CondFanCtrl   TWO-SPEED-FAN
      ##set1 EvapCondSCT   70           
      ##set1 SubcoolerLT   50F
      ##set1 SubcoolerMT   Yes  
    ##endif

  ##elseif #[EEMx EQS U1]  $ Replace single-compressor systems with high eff 
                           $ multiplex with mechanical subcooling and
                           $ efficient condenser (both air-cooled)
    ##if #[RunMode[] EQS RunBase]
      ##set1 RfgSysType    SnglComp
      ##set1 CondType      AirCooled   
      ##set1 CondHeadCtrl  DrybulbStaged
    ##elseif #[RunMode[] EQS RunT24]
      ##set1 RfgSysType    Multiplex 
      ##set1 CompType      T24
      ##set1 CondType      AirCooled   
      ##set1 CondEff       T24
      ##set1 CondHeadCtrl  Fixed
      ##set1 AirCondSCT    80
      ##set1 SubcoolerLT   50F
    ##else if #[RunMode[] EQS RunEEM] 
      ##set1 RfgSysType    Multiplex 
      ##set1 CompType      T24
      ##set1 CondType      AirCooled   
      ##set1 CondEff       HiEff
      ##set1 AirCondSCT    70           
      ##set1 SubcoolerLT   50F
      ##set1 SubcoolerMT   Yes  
    ##endif

  ##elseif #[EEMx EQS U2]  $ Replace air-cooled single-compressor systems
                           $ with evap-cooled high eff multiplex with
                           $ mechanical subcooling and efficient condenser
    ##if #[RunMode[] EQS RunBase]
      ##set1 RfgSysType    SnglComp
      ##set1 CondType      AirCooled   
      ##set1 CondHeadCtrl  DrybulbStaged
    ##elseif #[RunMode[] EQS RunT24]
      ##set1 RfgSysType    Multiplex 
      ##set1 CompType      T24
      ##set1 CondType      AirCooled   
      ##set1 CondEff       T24
      ##set1 CondHeadCtrl  Fixed
      ##set1 AirCondSCT    80
      ##set1 SubcoolerLT   50F
    ##elseif #[RunMode[] EQS RunEEM] 
      ##set1 RfgSysType    Multiplex 
      ##set1 CompType      T24
      ##set1 CondType      Evaporative
      ##set1 CondEff       HiEff
      ##set1 CondFanCtrl   TWO-SPEED-FAN
      ##set1 EvapCondSCT   70           
      ##set1 SubcoolerLT   50F
      ##set1 SubcoolerMT   Yes  
    ##endif

  ##elseif #[EEMx EQS 1]   $ Low temp mechanical subcooling
    ##if #[RunMode[] EQS RunT24]
      ##set1 SubcoolerLT  50F
    ##elseif #[RunMode[] EQS RunEEM]
      ##set1 SubcoolerLT  50F
    ##endif

  ##elseif #[EEMx EQS 2]   $ Low and medium temp mechanical subcooling
    ##if #[RunMode[] EQS RunT24]
      ##set1 SubcoolerLT  50F
    ##elseif #[RunMode[] EQS RunEEM]
      ##set1 SubcoolerLT  50F
      ##set1 SubcoolerMT  Yes  
    ##endif

  ##elseif #[EEMx EQS 3]   $ Floating suction pressure
    ##if #[RunMode[] EQS RunEEM]
      ##set1 SuctionCtrl  Float
    ##endif

  ##elseif #[EEMx EQS 4A]  $ Floating head pressure, fixed setpoint
                           $  - air cooled
    ##if #[RunMode[] EQS RunT24]
      ##set1 AirCondSCT  80           
    ##elseif #[RunMode[] EQS RunEEM]
      ##set1 AirCondSCT  70           
    ##endif

  ##elseif #[EEMx EQS 4B]  $ Floating head pressure, fixed setpoint
                           $  - evap cooled
    ##set1 CondType      Evaporative
    ##set1 CondFanCtrl   TWO-SPEED-FAN
    ##if #[RunMode[] EQS RunT24]
      ##set1 EvapCondSCT 80           
    ##elseif #[RunMode[] EQS RunEEM]
      ##set1 EvapCondSCT 70           
    ##endif

  ##elseif #[EEMx EQS 5A]  $ Floating head pressure, variable setpoint
                           $  - air cooled
    ##if #[RunMode[] EQS RunT24]
      ##set1 AirCondSCT    80           
    ##elseif #[RunMode[] EQS RunEEM]
      ##set1 CondHeadCtrl  Ambient
    ##endif

  ##elseif #[EEMx EQS 5B]  $ Floating head pressure, variable setpoint
                           $  - evap cooled
    ##set1 CondType        Evaporative
    ##set1 CondFanCtrl     TWO-SPEED-FAN
    ##if #[RunMode[] EQS RunT24]
      ##set1 EvapCondSCT 80           
    ##elseif #[RunMode[] EQS RunEEM]
      ##set1 CondHeadCtrl  Ambient
    ##endif

  ##elseif #[EEMx EQS 6A]  $ Floating head pressure, variable setpoint
                           $ and variable speed - air cooled
    ##if #[RunMode[] EQS RunT24]
      ##set1 AirCondSCT    80           
    ##elseif #[RunMode[] EQS RunEEM]
      ##set1 CondHeadCtrl  Ambient
      ##set1 CondFanCtrl   VAR-SPEED-FAN
    ##endif

  ##elseif #[EEMx EQS 6B]  $ Floating head pressure, variable setpoint
                           $ and variable speed - evap cooled
    ##set1 CondType     Evaporative
    ##set1 CondFanCtrl  TWO-SPEED-FAN
    ##if #[RunMode[] EQS RunT24]
      ##set1 EvapCondSCT    80           
    ##elseif #[RunMode[] EQS RunEEM]
      ##set1 CondHeadCtrl  Ambient
      ##set1 CondFanCtrl   VAR-SPEED-FAN
    ##endif

  ##elseif #[EEMx EQS 6C]  $ Load reset head pressure, variable speed
                           $   - evap cooled
    ##set1 CondType     Evaporative
    ##set1 CondFanCtrl  TWO-SPEED-FAN
    ##if #[RunMode[] EQS RunEEM]
      ##set1 CondHeadCtrl  LoadReset
      ##set1 CondFanCtrl   VAR-SPEED-FAN
    ##endif

  ##elseif #[EEMx EQS 7]   $ Display case lighting control
    ##if #[RunMode[] EQS RunEEM]
      ##set1 LightCtrl  TimeClock
    ##endif

  ##elseif #[EEMx EQS 8]   $ Zero heat reach-in glass doors
    ##if #[RunMode[] EQS RunEEM]
      ##set1 ZeroHeatDoors  Yes
    ##endif

  ##else                   $ Invalid EEM if here
    ERROR - Invalid EEM name - EEMx
  ##endif
##enddef  $ SetUpEEM

$ Now turn on the EEMs, up to 5 total

##ifdef EEM1[]
  SetUpEEM[ EEM1[] ]
##else
  ERROR - No EEM defined
##endif
##ifdef EEM2[]
  SetUpEEM[ EEM2[] ]
##endif
##ifdef EEM3[]
  SetUpEEM[ EEM3[] ]
##endif
##ifdef EEM4[]
  SetUpEEM[ EEM4[] ]
##endif
##ifdef EEM5[]
  SetUpEEM[ EEM5[] ]
##endif


$ -- Macros to simplify EEM generation in refrigeration equipment -------------

$ Auto-closer LT   Freezer
##def AutoCloserCtrlLT[StdGain, EEMmult]
  ##if #[AutoCloserLT[] EQS No]
   $SOURCE-POWER     $ StdGain
  ##elseif #[AutoCloserLT[] EQS Yes]
   $SOURCE-POWER     $ #[StdGain * EEMmult]
  ##else
    ERROR - Invalid AutoCloserLT
  ##endif
##enddef

$ Auto-closer MT   Cooler
##def AutoCloserCtrlMT[StdGain, EEMmult]
  ##if #[AutoCloserMT[] EQS No]
   $SOURCE-POWER     $ StdGain
  ##elseif #[AutoCloserMT[] EQS Yes]
   $SOURCE-POWER     $ #[StdGain * EEMmult]
  ##else
    ERROR - Invalid AutoCloserMT
  ##endif
##enddef

$ Compressor power for old reed-type compressors
##def CompPwr[ReedCrv, T24Crv]
  ##if #[CompType[] EQS Reed]
    $PWR-FSST&SDT    $ ReedCrv
  ##elseif #[CompType[] EQS T24]
    $PWR-FSST&SDT    $ T24Crv 
  ##else
    ERROR - Invalid CompressorType - CompType[]
  ##endif
##enddef

$ Display efficient evaporator fans
##def DisplayFanKW[StdKW, HiEffMult]
  ##if #[DisplayFanEff[] EQS Standard]
   $FAN-KW/LEN       $ StdKW
  ##elseif #[DisplayFanEff[] EQS HiEff]
   $FAN-KW/LEN       $ #[StdKW * HiEffMult]
  ##else
    ERROR - Invalid DisplayFanEff
  ##endif
##enddef

$ Design Capacity and EIR for LT air condenser 
##def AirCondLTCap&EIR[CondCap]
    $RATED-CAPACITY   $ CondCap

  ##if #[CondEff[] EQS Base]
    ##if #[ #[Vintage[] EQ 1] OR #[Vintage[] EQ 2] ]
      FAN-EIR-TD      = #[34.13 / 45]      
      RATED-TD        = 15
    ##elseif #[ #[Vintage[] EQ 3] OR #[Vintage[] EQ 4] ]
      FAN-EIR-TD      = #[34.13 / 53]      
      RATED-TD        = 10
    ##else
      FAN-EIR-TD      = #[34.13 / 53]      
      RATED-TD        = 10
    ##endif
  ##elseif #[CondEff[] EQS T24]
     FAN-EIR-TD       = #[34.13 / 53]      
     RATED-TD         = 10
  ##elseif #[CondEff[] EQS HiEff]
     FAN-EIR-TD       = #[34.13 / 84]      
     RATED-TD         = 10
  ##else
    ERROR - Invalid CondEfficiency - CondEff[]
  ##endif
##enddef

$ Design Capacity and EIR for MT air condenser 
##def AirCondMTCap&EIR[CondCap]
    $RATED-CAPACITY   $ CondCap

  ##if #[CondEff[] EQS Base]
    ##if #[ #[Vintage[] EQ 1] OR #[Vintage[] EQ 2] ]
      FAN-EIR-TD      = #[34.13 / 45]      
      RATED-TD        = 20
    ##elseif #[ #[Vintage[] EQ 3] OR #[Vintage[] EQ 4] ]
      FAN-EIR-TD      = #[34.13 / 53]      
      RATED-TD        = 15
    ##else
      FAN-EIR-TD      = #[34.13 / 53]      
      RATED-TD        = 15
    ##endif
  ##elseif #[CondEff[] EQS T24]
     FAN-EIR-TD       = #[34.13 / 53]      
     RATED-TD         = 15
  ##elseif #[CondEff[] EQS HiEff]
     FAN-EIR-TD       = #[34.13 / 84]      
     RATED-TD         = 10
  ##else
    ERROR - Invalid CondEfficiency - CondEff[]
  ##endif

##enddef

$ Design Capacity and EIR for single-compressor air condenser 
##def AirCondSCCap&EIR[CondCap]
    $RATED-CAPACITY   $ CondCap

  ##if #[CondEff[] EQS Base]
    ##if #[ #[Vintage[] EQ 1] OR #[Vintage[] EQ 2] ]
      FAN-EIR-TD      = #[34.13 / 45]      
      RATED-TD        = 18
    ##elseif #[ #[Vintage[] EQ 3] OR #[Vintage[] EQ 4] ]
      FAN-EIR-TD      = #[34.13 / 53]      
      RATED-TD        = 13
    ##else
      FAN-EIR-TD      = #[34.13 / 53]      
      RATED-TD        = 13
    ##endif
  ##elseif #[CondEff[] EQS T24]
     FAN-EIR-TD       = #[34.13 / 53]      
     RATED-TD         = 13
  ##elseif #[CondEff[] EQS HiEff]
     FAN-EIR-TD       = #[34.13 / 84]      
     RATED-TD         = 13
  ##else
    ERROR - Invalid CondEfficiency - CondEff[]
  ##endif
##enddef

$ Design capacity and EIR for evap condenser
##def EvapCondCap&EIR[CondCap]
    $RATED-CAPACITY   $ CondCap

  ##if #[CondEff[] EQS Base]
    ##if #[ #[Vintage[] EQ 1] OR #[Vintage[] EQ 2] ]
      FAN-EIR         = #[#[3.413 / 120] * 0.85]      
      SPRAY-EIR       = #[#[3.413 / 120] * 0.15]
      RATED-SCT       = 100
      RATED-WETBULB   = 72
    ##elseif #[Vintage[] EQ 3]
      FAN-EIR         = #[#[3.413 / 120] * 0.85]      
      SPRAY-EIR       = #[#[3.413 / 120] * 0.15]
      RATED-SCT       = 95
      RATED-WETBULB   = 72
    ##else
      FAN-EIR         = #[#[3.413 / 140] * 0.85]      
      SPRAY-EIR       = #[#[3.413 / 140] * 0.15]
      RATED-SCT       = #[59.0 + #[DesignWB[] * 0.5]]
      RATED-WETBULB   = DesignWB[]
    ##endif
  ##elseif #[CondEff[] EQS T24]
      FAN-EIR         = #[#[3.413 / 140] * 0.85]      
      SPRAY-EIR       = #[#[3.413 / 140] * 0.15]
      RATED-SCT       = #[59.0 + #[DesignWB[] * 0.5]]
      RATED-WETBULB   = DesignWB[]
  ##elseif #[CondEff[] EQS HiEff]
      FAN-EIR         = #[#[3.413 / 200] * 0.85]      
      SPRAY-EIR       = #[#[3.413 / 200] * 0.15]
      RATED-SCT       = #[60.8 + #[DesignWB[] * 0.4]]
      RATED-WETBULB   = DesignWB[]
  ##else
      ERROR - Invalid CondEff
  ##endif
     EIR-RATED-WB     = 70
     EIR-RATED-SCT    = 100
##enddef

$ Holdback control for heat recovery
##def HoldbackCtrl[Setpt, ValveDP]
  ##if #[HeatReclaim[] EQS No]
   $HOLDBACK-CTRL    $ NONE
    VALVE-DP         = {unused}
  ##elseif #[HeatReclaim[] EQS Desuper]
   $HOLDBACK-CTRL    $ NONE
    VALVE-DP         = {unused}
  ##elseif #[HeatReclaim[] EQS Holdback]
   $HOLDBACK-CTRL    $ ON/OFF
    HOLDBACK-SETPT   = Setpt	
    VALVE-DP         = ValveDP
    BYPASS-DP        = ValveDP
  ##else
    ERROR - Invalid Heat Reclaim 
  ##endif
##enddef

$ Night cover
##def InfCtrlMT[InfSch]
  ##if #[NightCoverMT[] EQS No]
   $INF-SCH          $ {unused}
  ##elseif #[NightCoverMT[] EQS Yes]
   $INF-SCH          $ InfSch
  ##else
    ERROR - Invalid NightCoverMT
  ##endif
##enddef

$ Fixture lighting control
##def FixLightSch[BaseSch, EEMsch]
  ##if #[LightCtrl[] EQS AlwaysOn]
   $LIGHTING-SCH     $ BaseSch
  ##elseif #[LightCtrl[] EQS TimeClock]
   $LIGHTING-SCH     $ EEMsch
  ##else
    ERROR - Invalid LightCtrl
  ##endif
##enddef

$ Connect a fixture to a refrigeration circuit
##def RfgCkt[SingleCkt, MultiplexCkt]
  ##if #[RfgSysType[] EQS SnglComp]
    SingleCkt
  ##elseif #[RfgSysType[] EQS Multiplex]
    MultiplexCkt
  ##else
    ERROR - Invalid RfgSysType
  ##endif
##enddef

$ Condenser temperature control
##def SCTctrl[]
  ##if #[CondHeadCtrl[] EQS Fixed]
   $SCT-CTRL         $ FIXED
    SCT-THROTTLE     = 2

    ##if #[CondType[] EQS AirCooled]
      ##if #[NeedsMaint[] EQS No]
        SCT-SETPT    = AirCondSCT[]	
      ##elseif #[NeedsMaint[] EQS Yes]
        SCT-SETPT    = #[AirCondSCT[] + 3.]
      ##else
        ERROR - Invalid NeedsMaint
      ##endif
      BACKFLOOD-SETPT  = #[AirCondSCT[] - 2.]
    ##elseif #[CondType[] EQS Evaporative]
      ##if #[NeedsMaint[] EQS No]
        SCT-SETPT    = EvapCondSCT[]
      ##elseif #[NeedsMaint[] EQS Yes]
        SCT-SETPT    = #[EvapCondSCT[] + 3.]
      ##else
        ERROR - Invalid NeedsMaint
      ##endif
      BACKFLOOD-SETPT  = #[EvapCondSCT[] - 2.]
    ##else
      ERROR - Invalid CondType
    ##endif

  ##elseif #[CondHeadCtrl[] EQS DrybulbStaged]
   $SCT-CTRL         $ DRYBULB-STAGED
    BACKFLOOD-SETPT  = 93

  ##elseif #[CondHeadCtrl[] EQS Ambient]
    ##if #[CondType[] EQS AirCooled]
     $SCT-CTRL       $ DRYBULB-RESET
      SCT-AMBIENT-DT = 12   $ Needs to be optimized
    ##else
     $SCT-CTRL       $ WETBULB-RESET
      SCT-AMBIENT-DT = 17 
    ##endif
    OVERRIDE-MIN-SCT = 70
    SCT-THROTTLE     = 1
    BACKFLOOD-SETPT  = 68

  ##elseif #[CondHeadCtrl[] EQS LoadReset]
   $SCT-CTRL         $ LOAD-RESET
    LOAD-MAX-PLR     = 1.0
    LOAD-MAX-AIRFLOW = 1.0
    OVERRIDE-MAX-SCT = 85.
    LOAD-MIN-PLR     = 0.2
    LOAD-MIN-AIRFLOW = 0.5
    OVERRIDE-MIN-SCT = 70
    SCT-THROTTLE     = 1
    BACKFLOOD-SETPT  = 68

  ##else
    ERROR - Invalid CondHeadCtrl
  ##endif
##enddef

$ Suction-group temperature control
$ Fixed suction setpoint is set 3F + 1/2 throttle below design point
$ to approximate a conservative mechanical setting
##def SuctionTempCtrl[DesSST, Throttle]
  ##if #[SuctionCtrl[] EQS Fixed]
   $TEMP-CTRL        $ FIXED
    ##if #[NeedsMaint[] EQS No]
      TEMP-SETPT     = #[DesSST - #[3. + #[Throttle * 0.5]]]
    ##elseif #[NeedsMaint[] EQS Yes]
      TEMP-SETPT     = #[DesSST - #[6. + #[Throttle * 0.5]]]
    ##else
      ERROR - Invalid NeedsMaint
    ##endif
  ##elseif #[SuctionCtrl[] EQS Float]
   $TEMP-CTRL        $ LOAD-RESET
    MAX-TEMP-SETPT   = #[DesSST + 5]
    MIN-TEMP-SETPT   = #[DesSST - #[3. + #[Throttle * 0.5]]]
  ##else
    ERROR - Invalid SuctionCtrl
  ##endif
    DESIGN-SST       = DesSST
    TEMP-THROTTLE    = Throttle
##enddef

$ Walk-in Box fan duty cycling when off
##def WalkInFanCtrl[]
  ##if #[WalkInFanDuty[] EQS No]
   $FAN-CONTROL      $ SPEED
    INDOOR-FAN-MODE  = CONTINUOUS
    MIN-FLOW-RATIO   = 1.0
  ##elseif #[WalkInFanDuty[] EQS Yes]
   $FAN-CONTROL      $ CYCLING
    INDOOR-FAN-MODE  = INTERMITTENT
    MIN-FLOW-RATIO   = 0.01
    MIN-DUTY-CYCLE   = 0.1   $ 6 minutes/hour cycle on
    MAX-DUTY-CYCLE   = 0.5
  ##else
    ERROR- Invalid WalkInFanDuty
  ##endif
##enddef

$ Walk-in Box efficient evaporator fans
##def WalkInFanKW[StdKW, HiEffMult]
  ##if #[WalkInFanEff[] EQS Standard]
   $SUPPLY-KW/FLOW   $ StdKW
  ##elseif #[WalkInFanEff[] EQS HiEff]
   $SUPPLY-KW/FLOW   $ #[StdKW * HiEffMult]
  ##else
    ERROR - Invalid WalkInFanEff
  ##endif
##enddef

$ Zero heat doors
##def ZeroHeat[]
  ##if #[ZeroHeatDoors[] EQS No]
    HEATER-CTRL      = HUMIDITY-RATIO
    MIN-HUMIDITY-RAT = 0.003416
    MAX-HUMIDITY-RAT = 0.008921
  ##elseif #[ZeroHeatDoors[] EQS Yes]
    HEATER-CTRL      = FIXED
    HEATER-KW/DOOR   = 0.054
  ##else
    ERROR - Invalid ZeroHeatDoors
  ##endif
##enddef

$ ---------------------------- EEM PARAMETERS ---------------------------------

$ This section sets global parameters that are dependent on an EEM

PARAMETER

FreezerInfil   AutoCloserCtrlLT[17116, 0.60]
CoolerInfil    AutoCloserCtrlMT[28639, 0.60]

$ Refrigeration heat recovery
##if #[HeatReclaim[] EQS No]
  RfgHtRec   NO
##elseif #[HeatReclaim[] EQS Desuper]
  RfgHtRec   YES
##elseif #[HeatReclaim[] EQS Holdback]
  RfgHtRec   YES
##else
  ERROR - Invalid RfgHtRec
##endif

..


$ SAC 5/18/05 - Added WINDOW SET-DEFAULTs to ensure C- daylighting keywords are valid 
SET-DEFAULT FOR WINDOW
   C-WELL-HEIGHT    = {#L("HEIGHT")}
   C-WELL-WIDTH     = {#L("WIDTH")}
   C-WELL-WALL-REFL = 0.5
   C-WELL-TOP-REFL  = 0.75
   C-WELL-DEPTH     = {
      if (#RV(#P3("FLOOR-HEIGHT"))!=0 .OR. #RV(#P2("HEIGHT"))!=0) then  0.5
      else if (#P3("FLOOR-HEIGHT") - #P2("HEIGHT") >= 0.5) then
               #P3("FLOOR-HEIGHT") - #P2("HEIGHT")
      else  0.5
      endif endif}
..
